Package org.apache.nutch.parse

## Class Outlink

- java.lang.Object
- - org.apache.nutch.parse.Outlink

- All Implemented Interfaces:
    `Writable`

      public class Outlink
      extends Object
      implements Writable

  An outgoing link from a page.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Outlink()` |
    `Outlink​(String toUrl, String anchor)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getAnchor()` |
    `MapWritable` | `getMetadata()` |
    `String` | `getToUrl()` |
    `int` | `hashCode()` |
    `static Outlink` | `read​(DataInput in)` |
    `void` | `readFields​(DataInput in)` |
    `void` | `setMetadata​(MapWritable md)` |
    `void` | `setUrl​(String toUrl)` |
    `static void` | `skip​(DataInput in)` | Skips over one Outlink in the input.
    `String` | `toString()` |
    `void` | `write​(DataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Outlink

          public Outlink()

    - #### Outlink

          public Outlink​(String toUrl,
                         String anchor)
                  throws MalformedURLException

      Throws:
        `MalformedURLException`

  - ### Method Detail

    - #### readFields

          public void readFields​(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### skip

          public static void skip​(DataInput in)
                           throws IOException

      Skips over one Outlink in the input.
      Parameters:
        `in` - the `DataInput` tuple stream holding the toUrl and archor pair.
      Throws:
        `IOException` - if there is an error processing the `DataInput`

    - #### write

          public void write​(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### read

          public static Outlink read​(DataInput in)
                              throws IOException

      Throws:
        `IOException`

    - #### getToUrl

          public String getToUrl()

    - #### setUrl

          public void setUrl​(String toUrl)

    - #### getAnchor

          public String getAnchor()

    - #### getMetadata

          public MapWritable getMetadata()

    - #### setMetadata

          public void setMetadata​(MapWritable md)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`